{"openapi":"3.0.0","info":{"title":"1i","description":"\n\n<li>Ethereum - \"1\"</li>\n<li>Binance Smart Chain - \"56\"</li>\n<li>Polygon - \"137\"</li>\n<li>Optimism - \"10\"</li>\n<li>Arbitrum  - \"42161\"</li>\n<li>Gnosis chain - \"100\"</li>\n<li>Avalanche - \"43114\"\n<li>Base - \"8453\"\n</ul> ","version":"3.1"},"servers":[{"url":"https://limit-orders.1inch.io/{apiVersion}/{chainId}","description":"Limit Orders API","variables":{"apiVersion":{"description":"1inch Limit Orders API","default":"v3.0"},"chainId":{"description":"Chain Network","default":"1","enum":["1","56","137","10","42161","43114","8453"]}}}],"paths":{"/limit-order/address/{address}":{"get":{"summary":"Get limit orders belonging to the specified address","operationId":"LimitOrderV3ApiController_getLimitOrder","parameters":[{"name":"address","in":"path","description":"Address of limit orders creator","required":true,"style":"simple","explode":false,"schema":{"type":"string"},"example":"0x0000000000000000000000000000000000000000"},{"name":"page","in":"query","description":"Pagination step, default: 1 (page = offset / limit)","required":false,"style":"form","explode":true,"schema":{"type":"number"},"example":1},{"name":"limit","in":"query","description":"Number of limit orders to receive (default: 100, max: 500)","required":false,"style":"form","explode":true,"schema":{"type":"number"},"example":100},{"name":"statuses","in":"query","description":"JSON an array of statuses by which limit orders will be filtered: 1 - valid limit orders, 2 - temporary invalid limit orders, 3 - invalid limit orders","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}},"example":"[1,2,3]"},{"name":"sortBy","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","enum":["createDateTime","takerRate","makerRate","makerAmount","takerAmount"]}},{"name":"takerAsset","in":"query","description":"Address of the taker asset","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"makerAsset","in":"query","description":"Address of the maker asset","required":false,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Array of queried limit orders"},"400":{"description":"Input data is invalid or address is not provided"}}}},"/limit-order/all":{"get":{"summary":"Get all limit orders","operationId":"LimitOrderV3ApiController_getAllLimitOrders","parameters":[{"name":"page","in":"query","description":"Pagination step, default: 1 (page = offset / limit)","required":false,"style":"form","explode":true,"schema":{"type":"number"},"example":1},{"name":"limit","in":"query","description":"Number of limit orders to receive (default: 100, max: 500)","required":false,"style":"form","explode":true,"schema":{"type":"number"},"example":100},{"name":"statuses","in":"query","description":"JSON an array of statuses by which limit orders will be filtered: 1 - valid limit orders, 2 - temporary invalid limit orders, 3 - invalid limit orders","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}},"example":"1,2,3"},{"name":"sortBy","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","enum":["createDateTime","takerRate","makerRate","makerAmount","takerAmount"]}},{"name":"takerAsset","in":"query","description":"Address of the maker asset","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"makerAsset","in":"query","description":"Address of the maker asset","required":false,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Array of queried limit orders"},"400":{"description":"Input data is invalid"}}}},"/limit-order/count":{"get":{"operationId":"LimitOrderV3ApiController_getAllOrdersCount","parameters":[{"name":"statuses","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":""}}}},"/limit-order/events/{orderHash}":{"get":{"operationId":"LimitOrderV3ApiController_getEventsOrderHash","parameters":[{"name":"orderHash","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/limit-order/events":{"get":{"operationId":"LimitOrderV3ApiController_getEvents","parameters":[{"name":"limit","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"number"}}],"responses":{"200":{"description":""}}}},"/limit-order/has-active-orders-with-permit/{walletAddress}/{token}":{"get":{"operationId":"LimitOrderV3ApiController_hasActiveOrders","parameters":[{"name":"walletAddress","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"string"}},{"name":"token","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":""}}}},"/healthcheck":{"get":{"operationId":"HealthcheckController_healthcheck","parameters":[],"responses":{"200":{"description":"Check service status"}}}},"/limit-order":{"post":{"summary":"Include a limit order to the 1inch limit orders database","description":"You can send your limit orders to the 1inch database and then your order will participate in the 1inch aggregation protocol.","operationId":"LimitOrderV3ApiController_createLimitOrder","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LimitOrderDto"}}},"required":true},"responses":{"201":{"description":"The limit order has been successfully saved"},"400":{"description":"Input data is invalid"},"403":{"description":"Max valid orders per user: 100. Cancel previous orders to create new ones"}}}}},"components":{"schemas":{"LimitOrderData":{"required":["maker","makerAsset","makingAmount","salt","takerAsset","takingAmount"],"type":"object","properties":{"makerAsset":{"type":"string","description":"Address of the maker asset"},"takerAsset":{"type":"string","description":"Address of the taker asset"},"maker":{"type":"string","description":"An address of the maker (wallet or contract address)"},"allowedSender":{"type":"string","description":"An address of the wallet or contract who will be able to fill this order (equals to Zero address on public orders)","default":"0x0000000000000000000000000000000000000000"},"receiver":{"type":"string","description":"An address of the wallet or contract who will receive filled amount (equals to Zero address for receiver == makerAddress)","default":"0x0000000000000000000000000000000000000000"},"makingAmount":{"type":"string","description":"Order maker's token amount"},"takingAmount":{"type":"string","description":"Order taker's token amount"},"salt":{"type":"string","description":"Some unique value. It is necessary to be able to create limit orders with the same parameters (so that they have a different hash)"},"offsets":{"type":"string","description":"An interaction call data. ABI encoded set of makerAssetData, takerAssetData, getMakingAmount, getTakingAmount, predicate, permit, preInteraction, postInteraction","default":"0x"},"interactions":{"type":"string","description":"Merged offsets of each field in interactions","default":"0"}}},"LimitOrderDto":{"required":["data","orderHash","signature"],"type":"object","properties":{"orderHash":{"type":"string","description":"Hash of the limit order typed data"},"signature":{"type":"string","description":"Signature of the limit order typed data (using signTypedData_v4)"},"data":{"description":"Limit order data","allOf":[{"$ref":"#/components/schemas/LimitOrderData"}]}}}}}}